### Function

# Secret Service open_finish

#### Declaration [src]

    SecretService*
    secret_service_open_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete an asynchronous operation to create a new `SecretService` proxy for the Secret Service.

#### Parameters

`result` | `GAsyncResult`
| The asynchronous result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `SecretService`
| A new reference to a `SecretService` proxy, which should be released with `g_object_unref()`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.